org.apache.pdfbox.preflight.process

## Class FileSpecificationValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.FileSpecificationValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class FileSpecificationValidationProcess
    extends AbstractProcess

This validation process check that FileSpec dictionaries are confirming with the PDF/A-1b specification.

### Constructor Summary

Constructors
Constructor and Description
`FileSpecificationValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validate(PreflightContext ctx)`
`void` `validateFileSpecification(PreflightContext ctx, org.apache.pdfbox.cos.COSDictionary fileSpec)` Validate a FileSpec dictionary, a FileSpec dictionary mustn't have the EF (EmbeddedFile) entry.

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileSpecificationValidationProcess

    public FileSpecificationValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext ctx)
                  throws ValidationException

Throws:
  `ValidationException`

#### validateFileSpecification

    public void validateFileSpecification(PreflightContext ctx,
                                          org.apache.pdfbox.cos.COSDictionary fileSpec)

Validate a FileSpec dictionary, a FileSpec dictionary mustn't have the EF (EmbeddedFile) entry.

Parameters:
  `ctx` - the preflight context.
  `fileSpec` - the FileSpec Dictionary.